Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Class EdgeDirection

    java.lang.Object
      de.grogra.xl.query.EdgeDirection

Direct Known Subclasses:
  EdgeDirection.Both, EdgeDirection.Directed, EdgeDirection.Undirected

    public class EdgeDirection

extends java.lang.Object

Nested Class Summary
`static class` | `EdgeDirection.Backward`
`static class` | `EdgeDirection.Both`
`static class` | `EdgeDirection.Directed`
`static class` | `EdgeDirection.Forward`
`static class` | `EdgeDirection.Undirected`

Field Summary
`static EdgeDirection.Backward` | `BACKWARD` Backward traversal direction.
`static int` | `BACKWARD_INT` `int`-code for `BACKWARD`.
`static EdgeDirection.Both` | `BOTH` Arbitrary traversal direction.
`static int` | `BOTH_INT` `int`-code for `BOTH`.
`static EdgeDirection.Forward` | `FORWARD` Forward traversal direction.
`static int` | `FORWARD_INT` `int`-code for `FORWARD`.
`static EdgeDirection.Undirected` | `UNDIRECTED` Arbitrary traversal direction.
`static int` | `UNDIRECTED_INT` `int`-code for `UNDIRECTED`.

Method Summary
`boolean` | `contains(EdgeDirection d)`
`int` | `getCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BACKWARD

    public static final EdgeDirection.Backward BACKWARD

  Backward traversal direction. This represents a predicate traversal direction from the out-parameter to the in-parameter.

### BACKWARD_INT

    public static final int BACKWARD_INT

  `int`-code for `BACKWARD`.

  See Also:
    Constant Field Values

### BOTH

    public static final EdgeDirection.Both BOTH

  Arbitrary traversal direction. This represents an arbitrary predicate traversal direction, i.e., from the in-parameter to the out-parameter or from the out-parameter to the in-parameter.

### BOTH_INT

    public static final int BOTH_INT

  `int`-code for `BOTH`.

  See Also:
    Constant Field Values

### FORWARD

    public static final EdgeDirection.Forward FORWARD

  Forward traversal direction. This represents a predicate traversal direction from the in-parameter to the out-parameter.

### FORWARD_INT

    public static final int FORWARD_INT

  `int`-code for `FORWARD`.

  See Also:
    Constant Field Values

### UNDIRECTED

    public static final EdgeDirection.Undirected UNDIRECTED

  Arbitrary traversal direction. This represents an arbitrary predicate traversal direction, i.e., from the in-parameter to the out-parameter or from the out-parameter to the in-parameter.

### UNDIRECTED_INT

    public static final int UNDIRECTED_INT

  `int`-code for `UNDIRECTED`.

  See Also:
    Constant Field Values

Method Detail

### contains

    public boolean contains(EdgeDirection d)

### getCode

    public int getCode()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD